.img-post {
  padding-top: 100%;
  position: relative;
  -webkit-transition: ease all 1s;
  -o-transition: ease all 1s;
  transition: ease all 1s;
  background-size: 100%; }
  .img-post:hover {
    background-size: 130%; }
  .img-post .post-link {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0; }
    .img-post .post-link img {
      position: absolute;
      top: 50%;
      left: 50%;
      -webkit-transform: translate(-50%, -50%);
      -ms-transform: translate(-50%, -50%);
      transform: translate(-50%, -50%); }
